Subject: [PATCHv9 02/10] I2C: OMAP: Fix the mismatch of pm_runtime enable and disable

From: [email-masked] (Shubhrajyoti)
Date: Mon, 28 May 2012 15:29:18 +0530

On Saturday 26 May 2012 03:27 AM, Kevin Hilman wrote:
> Looks right.
>
> Can you be more specific in the changelog about when the errors/warning
> happens?
By the way the count cribs Unbalanced pm_runtime_enable!
is what happens.

I found it by review, I did the testing with this patch.

Since there was an access without get_sync I was seeing
some other issues.

Did not test with the fix and without this patch.
>   e.g. why pm_runtime_enable() is called again?  Is this on
> module unload/reload?
>
> Other than that
>
> Acked-by: Kevin Hilman <[email-masked]>
Thanks.